<template>
  <Panel :parametros="parametros" @cerrar="cerrar" ref="panel" />
</template>

<script setup lang="ts">
import Panel from "@/components/becas/actualizacion/abm/Panel.vue";
import { computed, onMounted } from "vue";
import { BreadCrumbRoute } from "@hcd-bsas/vue3-components";
import { useBreadcrumb } from "@/shared.js";
import type { RouteLocationRaw } from 'vue-router';
import { useRoute, useRouter } from "vue-router";
import { isEmpty } from "@/shared.js";

const route = useRoute();
const router = useRouter();
const { breadcrumb } = useBreadcrumb();

const parametros = computed(() => ({
  id_beca: !isEmpty(route.params.id_beca) ? Number(route.params.id_beca) : null,
  id_tabla_sol: !isEmpty(route.params.id_tabla_sol) ? Number(route.params.id_tabla_sol) : null,
  //aca agregar el "flag para readonly"
  es_abm: !isEmpty(route.params.es_abm) ? Number(route.params.es_abm) : null,
}));

onMounted(() => {
  breadcrumb?.initRoutes([
    new BreadCrumbRoute("inicio"),
    new BreadCrumbRoute("consultaBecas"),
    new BreadCrumbRoute("inicioInformeBecasDetalle"),
  ]);
});

function cerrar() {
  const route: RouteLocationRaw = { name: "becasActualizacion" };
  router.push(route);
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped></style>
